# Payment

import { ExampleResponse } from "components/ExampleResponse"; import { AttributeTable } from "components/AttributeTable";

These are result codes that communicate success (200) or failure (400) specific to the `Payment` operation, which often fails because the receiving account does not trust the issuer of the asset being sent.

Learn more about the [`Payment` operation](/start/list-of-operations.md#payment).

&#x20;\- RESULT CODE -&#x20;

* OpSuccess `PAYMENT_SUCCESS`

  The payment was successfully completed.
* OpMalformed `PAYMENT_MALFORMED`

  The input to the payment is invalid.
* OpUnderfunded `PAYMENT_UNDERFUNDED`

  The source account (sender) does not have enough spirits to send the payment amount while maintaining its own minimum reserve.
* OpSrcNoTrust `PAYMENT_SRC_NO_TRUST`

  The source account does not have a trustline for the asset it is trying to send.
* OpSrcNotAuthorized `PAYMENT_SRC_NOT_AUTHORIZED`

  The source account is not authorized to send this asset.
* OpNoDestination `PAYMENT_NO_DESTINATION`

  The destination account does not exist.
* OpNoTrust `PAYMENT_NO_TRUST`

  The destination account does not have a trustline for the asset being sent.
* OpNotAuthorized `PAYMENT_NOT_AUTHORIZED`

  The destination account is not authorized to hold this asset.
* OpLineFull `PAYMENT_LINE_FULL`

  The destination account (receiver) does not have sufficient limits to receive amount and still satisfy its buying liabilities.
* OpNoIssuer `PAYMENT_NO_ISSUER`

  The issuer of the asset does not exist.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.docs.bantufoundation.org/api/errors/result-codes/operation-specific/payment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
